--- @meta fmt

--- @class fmt
local fmt_proto = {};

--- @param ... any
--- @return string
function fmt_proto:pack(...) end

--- @param str string
--- @param i? integer
--- @return ...
function fmt_proto:unpack(str, i) end

local fmt = {};

--- @param path string
--- @return fmt fmt
function fmt.new(path) end

fmt.pack = fmt_proto.pack;
fmt.unpack = fmt_proto.unpack;

return fmt;
