--- @meta fs

local fs = {};

--- @param path string
--- @param recursive? boolean
--- @return boolean? ok
--- @return string? err
function fs.mkdir(path, recursive) end

--- @param target string
--- @param name string
--- @return boolean? ok
--- @return string? err
function fs.symlink(target, name) end

--- @param path string
--- @param mode string | integer
--- @return boolean? ok
--- @return string? err
function fs.chmod(path, mode) end

return fs;
